#!/usr/bin/env python
# -*- coding: utf-8 -*-

import sys
import random

sys.path.append('..')
sys.path.append('../thirdparty/ffx')
sys.path.append('../thirdparty/ranking-test-framework')

import FTE

input_format = ('(0|1)+', 64)
output_format = ('([0-9A-F])+', 16)
K = '0' * 16
fpe = FTE.new(K=K, input_format=input_format,
              output_format=output_format)
N = random.randint(0, fpe._input_ranker.getNumWordsInLanguage() - 1)
X = fpe._input_ranker.unrank(N)
C = fpe.encrypt(K, X)
Y = fpe.decrypt(K, C)

print 'input_format=' + str(input_format)
print 'output_format=' + str(output_format)
print 'plaintext=' + X
print 'ciphertext=' + C
